import { TiniElement } from 'tinijs';
export declare class IconFiletypeMdxComponent extends TiniElement {
    static readonly defaultTagName = "icon-filetype-mdx";
    static readonly componentName = "icon";
    static styles: any;
    scale?: string;
    scheme?: string;
    willUpdate(): void;
    protected render(): any;
}
